Skip to content

Create a security access review

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.admin.manage
Admin roles:
  • SUPER_ADMIN
Permissions:
  • okta.governance.securityAccessReviews.admin.manage

Creates a security access review for a target principal (such as a user)

Bodyapplication/jsonrequired
principalIdstring, = 20 charactersrequired

The Okta user ID in the security access review

namestring, [ 1 .. 255 ] charactersrequired

The name of the security access review

endTimestring, (date-time)

The date and time when the security access review closes, defaulting to seven days after the creation of the security access review. It must be at least one day and less than six months after creation.

reviewerSettingsobject(security-access-review-reviewer-settings)required

The reviewer settings for a security access review. These include the type of reviewers and a list of reviewer IDs.

POST
/governance/api/v2/security-access-reviews
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/governance/api/v2/security-access-reviews \
  -H 'Content-Type: application/json' \
  -d '{
    "principalId": "00ucpjbi6JMmDvdN40g4",
    "name": "Test SAR",
    "reviewerSettings": {
      "type": "USER",
      "userSettings": {
        "includedUserIds": [
          "00ucpjbi6JMmDvdN40g4",
          "00ucpjbi6JMmDvdN40g5"
        ]
      }
    }
  }'

Responses

A successful security access reviews post response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

statusstring(security-access-review-status)required

Security access review status

Enum:"ACTIVE""CLOSED""PENDING""ERROR"
namestring, [ 1 .. 255 ] charactersrequired

The name of the security access review

endTimestring, (date-time)required

The end time of the security access review

reviewerSettingsobject(security-access-review-reviewer-settings-response)required

The reviewer settings for a security access review. These include the type of reviewers and a list of reviewer IDs.

summaryobject(ai-message)

An AI-generated summary is presented as a long text string and sometimes multiple paragraphs. If an AI summary fails to generate, an array of errors is returned with possible steps to correct the failure.

Response
{ "id": "sar1lo5X9wmNTFX7x0g4", "status": "PENDING", "name": "Test SAR", "reviewerSettings": { "type": "USER", "userSettings": {} }, "createdBy": "00ucfd4IQoH6YBZgA0g4", "created": "2025-06-13T00:40:57Z", "lastUpdated": "2025-06-13T00:40:57Z", "lastUpdatedBy": "00ucfd4IQoH6YBZgA0g4", "_links": { "securityAccessReviewDetails": {}, "history": {}, "userDetails": {}, "accesses": {}, "actions": {} } }